### Method

# Foundry SecretService check_expires_at

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_secret_service_check_expires_at (
      FoundrySecretService* self,
      const char* host,
      const char* service
    )

#### Description [src]

Checks when the API key expires for the host/service pair.

Available since: 1.1

#### Parameters

`host`

  Type: `const char*`

  The hostname of the api server.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `const char*`

  The name of the service such as “gitlab”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a GDateTime on success; or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.